## perlsgml 1996Oct09-5bo1.1

=== debian/changelog ===
perlsgml (1996Oct09-5bo1.1) bo-unstable; urgency=low

  * change distribution to frozen unstable 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Tue, 20 May 1997 21:16:28 -0400

perlsgml (1996Oct09-5) unstable; urgency=low

  * Fix Bug#9299: Generalize perl dependency to accept either perl-base | perl
  * Fix Bug#9301: Put perl library files into /usr/lib/perl5
  * Fix Bug#9302: Adjust DOCURL in dtd2html to point to a local file.

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Mon, 5 May 1997 21:35:22 -0400

perlsgml (1996Oct09-4) unstable; urgency=low

  * Fix Bug#9124 (change dependency on perl-base to dependency on perl) 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Sat, 3 May 1997 00:51:03 -0400

perlsgml (1996Oct09-3) unstable; urgency=low

  * Moved /usr/doc/CHANGES to /usr/doc/perlsgml/CHANGES

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Tue, 18 Feb 1997 12:16:48 -0500

perlsgml (1996Oct09-2) unstable; urgency=low

  * Patched dtd.pl so that it is no longer necessary to set SGML_SEARCH_PATH 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Sat, 15 Feb 1997 18:06:26 -0500

perlsgml (1996Oct09-1) unstable; urgency=low

  * Initial Release.

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Wed, 12 Feb 1997 19:46:58 -0500

Local variables:
mode: debian-changelog
End:
