## perlsgml 1996Oct09-6

=== Makefile ===
##	@(#)  Makefile 1.1 96/09/30 @(#)

SCRIPTS = \
    dtd2html \
    dtddiff \
    dtdtree \
    dtdview \
    install.me \
    stripsgml \
    # End of list

all:
	chmod a+x $(SCRIPTS)
	chmod -R a+r,a+X .
