=== debian/changelog ===
perlsgml (1996Oct09-6) frozen unstable; urgency=low

  * change distribution to frozen unstable 

 -- Susan G. Kleinmann <sgk@kleinmann.com>  Tue, 20 May 1997 21:16:28 -0400
