=== debian/control ===
Source: perlsgml
Section: text
Priority: optional
Maintainer: Susan G. Kleinmann <sgk@kleinmann.com>
Standards-Version: 2.1.2.2

Package: perlsgml
Architecture: any
Depends: perl|perl-base
Description: perlSGML is a suite of HTML analysis tools from Earl Hood.
 dtd2html produces an HTML document starting from an SGML DTD that permits 
 an easy hypertext navigation through the given DTD. 
 .
 dtddiff compares two DTDs and shows possible differences. 
 .
 dtdtree shows visually the hierarchical tree structure characterizing 
 the relations between the various elements of a DTD. 
 .
 dtdview is an interactive program for studying an SGML DTD.
 .
 stripsgml strips a text from its SGML markup, and attempts to translate 
 entity references by standard ASCII characters.
