=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=perlsgml

build:
	$(checkdir)
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtd2html | \
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/dtd2html\.html/file:\/usr\/doc\/perlsgml\/dtd2html\.html/' > dtd2html.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtddiff \
	    > dtddiff.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtdtree \
	    > dtdtree.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' dtdview \
	    > dtdview.deb
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' stripsgml \
	    > stripsgml.deb
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtd2html.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtd2html.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtd_pl.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtd_pl.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtddiff.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtddiff.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtdtree.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtdtree.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/dtdview.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/dtdview.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/perlSGML.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/perlSGML.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/sgml_pl.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/sgml_pl.html
	sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood\/\">Earl Hood/earlhoodspage/' doc/stripsgml.html | \
	  sed -e 's/http\:\/\/www\.oac\.uci\.edu\/indiv\/ehood/file:\/usr\/doc\/perlsgml/' | \
	  sed -e 's/earlhoodspage/http\:\/\/www\.oac\.uci\.edu\/indiv\/hood\"\>Earl Hood/' > debian/stripsgml.html
	touch build

clean:
	$(checkdir)
	-rm -f *.deb
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	sed -e 's/usr\/local\/bin\/perl/usr\/bin\/perl/' install.me | \
	  sed -e 's/\(.*\)perlprg\(.*\)libdir/\1perlprg\2abslibdir/' | \
	  sed -e 's/usr\/lib\/sgml/usr\/lib\/perl5/' > install.me.deb
	chmod 755 install.me.deb
	./install.me.deb debian/install.cfg.deb
	rm debian/tmp/usr/doc/perlsgml/*.txt*
	cp -a CHANGES debian/tmp/usr/doc/perlsgml
	chown -R root.root debian/tmp/usr/doc/perlsgml/CHANGES
	chmod -R 644 debian/tmp/usr/doc/perlsgml/CHANGES
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m README.1ST  CHANGES: dtd2html.CHG dtd_pl.CHG dtddiff.CHG 
	debstd -m debian/*.html
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
